#include <stdio.h>

#define	DATEPATH "/bin/date"
#define	DATE "date"
#define	ERROR -1

main()
{

   if (execl(DATEPATH,DATE,0) == ERROR) {
      perror(DATEPATH);
      exit(1);
   }
    else {
       printf("This line is never printed\n");
       exit(0);
    }
}
